Bug 609698 - Macaulay2 : does not adhere to Static Library Packaging Guidelines
Macaulay2 : does not adhere to Static Library Packaging Guidelines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Macaulay2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 16:46 EDT by Michael Schwendt
Modified: 2010-07-01 06:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 16:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2010-06-30 16:46:30 EDT
Macaulay2-1.3.1-6.fc14.src
is missing
BuildRequires: cddlib-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.
Comment 1 Rex Dieter 2010-06-30 16:56:47 EDT
* Wed Jun 30 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.3.1-7
- BR: cddlib-static (#609698)
Comment 2 Michael Schwendt 2010-07-01 06:24:15 EDT
I must admit I'm not sure about this yet. :-/

Automatically examining koji build logs is not trivial, and reading the log myself and checking the source, it doesn't become clear how cddlib is used. 

The source seems to suggest that Macaulay2 only needs cddlib for gfan, which is not a devel pkg, but programs statically linked with cddlib-static already in Fedora. The libraries/cddlib and libraries/gfan dirs are empty, though.

Is BR cddlib-devel strictly required for Macaulay2?


> checking for cdd.h... no
> checking for cdd.h... yes
...
> configure: using CPPFLAGS      = -I/usr/include/cddlib ...
...
> config.status: creating libraries/cddlib/Makefile

Note You need to log in before you can comment on or make changes to this bug.